{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    self,
    flake-utils,
    nixpkgs,
  }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
      in {
        packages.default = pkgs.stdenv.mkDerivation {
          pname = "resume";
          version = "typst";
          src = ./.;
          nativeBuildInputs = with pkgs; [
            typst
            raleway
          ];
          buildPhase = ''
            runHook preBuild

            mkdir -p $out/share
            export TYPST_FONT_PATHS=${pkgs.raleway}/share/fonts
            typst compile resume.typ $out/share/resume.pdf
            typst compile resume.typ $out/share/resume.png

            runHook postBuild
          '';
        };
        devShells.default = pkgs.mkShell {
          nativeBuildInputs = with pkgs; [
            typst
            raleway
          ];
          shellHook = ''
            export TYPST_FONT_PATHS=${pkgs.raleway}/share/fonts
          '';
        };
      }
    );
}
